openSUSE Security Update : dhcp (openSUSE-2018-315)

high Nessus Plugin ID 108638
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for dhcp fixes the following issues :

Security issues fixed :

- CVE-2018-5733: reference count overflow in dhcpd (bsc#1083303).

- CVE-2018-5732: buffer overflow in dhclient (bsc#1083302).

This update was imported from the SUSE:SLE-12-SP1:Update update project.

Solution

Update the affected dhcp packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1083302

https://bugzilla.opensuse.org/show_bug.cgi?id=1083303

Plugin Details

Severity: High

ID: 108638

File Name: openSUSE-2018-315.nasl

Version: 1.6

Type: local

Agent: unix

Published: 3/27/2018

Updated: 1/19/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

CVSS v3

Risk Factor: High

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:dhcp, p-cpe:/a:novell:opensuse:dhcp-client, p-cpe:/a:novell:opensuse:dhcp-client-debuginfo, p-cpe:/a:novell:opensuse:dhcp-debuginfo, p-cpe:/a:novell:opensuse:dhcp-debugsource, p-cpe:/a:novell:opensuse:dhcp-devel, p-cpe:/a:novell:opensuse:dhcp-relay, p-cpe:/a:novell:opensuse:dhcp-relay-debuginfo, p-cpe:/a:novell:opensuse:dhcp-server, p-cpe:/a:novell:opensuse:dhcp-server-debuginfo, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 3/27/2018

Vulnerability Publication Date: 1/16/2019

Reference Information

CVE: CVE-2018-5732, CVE-2018-5733

IAVB: 2018-B-0034-S